.spellbook {
    .directory-list {
        .directory-list {
            .item-name {
                h3 {
                    color: var(--sub);
                    border: var(--sub);
                    padding: 4px 0;
                }
            }
            .item {
                justify-content: center;
                background: rgba(black, 0.1);
                border: 1px solid var(--sub);
                margin: 4px;
                cursor: pointer;
                &:first-child {
                    background: none;
                    margin-top: 8px;
                    border: none;
                    cursor: default;
                }

                h5 {
                    @include p-reset;
                    padding: 8px;
                }
            }
        }
        .item {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-evenly;
            align-items: center;
            background: none;
            border: none;

            &.item-container {
                margin-bottom: 12px;
            }

            &:first-child {
                .action-header {
                    margin-top: 0;
                }
            }

            .action-header {
                background: url('../assets/sheet/stroke2.svg') no-repeat left
                    bottom;
                width: 100%;
                flex-basis: 100%;
                position: relative;
                z-index: 2;
                padding-left: 16px;
                padding-bottom: 8px;
                height: 40px;
                margin-top: 8px;

                .prepared-toggle {
                    flex-basis: 0;
                    color: white;
                    margin-right: 4px;
                }

                .item-controls {
                    .spellcasting-remove {
                        white-space: nowrap;
                    }
                }

                h3 {
                    justify-self: flex-start;
                }
            }

            .skills-list {
                display: flex;
                align-items: center;
                @include p-reset;
                flex: 1 70%;
                justify-content: flex-end;

                .skill-grid {
                    @include flex-center;

                    .skill-score {
                        font-family: $serif;
                        font-weight: 500;
                        font-size: 24px;
                        letter-spacing: -1px;
                        line-height: 1;
                        margin-top: 2px;
                    }

                    .skill-name {
                        margin: 0 4px;
                    }

                    .skill-container {
                        display: flex;
                        flex-direction: column;

                        h4 {
                            @include micro;
                            color: var(--secondary);
                            font-weight: 800;
                        }
                        .focus-pool-input,
                        .item-value-input {
                            input {
                                width: 20px;
                                text-align: center;
                                font-family: $serif;
                                font-weight: 500;
                                font-size: 18px;
                            }
                        }

                        &.skill-proficiency,
                        &.item-modifier {
                            margin: 0 4px;
                            margin-bottom: 3px;
                        }

                        &.item-modifier {
                            h4 {
                                margin-bottom: 1px;
                            }
                            input {
                                font-size: 12px;
                                height: 18px;
                                border: 1px solid var(--alt);
                            }
                        }

                        &.skill-proficiency {
                            h4 {
                                margin-bottom: 2px;
                            }
                            .click-stat-level {
                                height: 18px;
                                padding: 8px;
                                background: var(--alt);
                                border-radius: 2px;
                                box-shadow: inset 0 0 0 1px rgba(black, 0.5);
                                @include micro;
                                color: white;
                                @include flex-center;
                                cursor: pointer;
                                .fas {
                                    display: none;
                                }
                            }

                            span[title='Untrained']:before {
                                content: 'Untrained';
                            }
                            span[title='Trained']:before {
                                content: 'Trained';
                            }
                            span[title='Expert']:before {
                                content: 'Expert';
                            }
                            span[title='Master']:before {
                                content: 'Master';
                            }
                            span[title='Legendary']:before {
                                content: 'Legendary';
                            }
                        }
                    }
                }

                &.focus {
                    flex-basis: 30%;
                    justify-self: flex-start;
                    .skill-grid {
                        .skill-container {
                            &.focus-points {
                                h4 {
                                    @include p-reset;
                                    margin-right: 8px;
                                    margin-bottom: 2px;
                                }
                            }
                            &.focus-pool {
                                position: relative;
                                svg {
                                    height: 31px;
                                    .fill {
                                        fill: var(--secondary);
                                    }
                                }

                                &:focus-within {
                                    svg {
                                        .fill {
                                            fill: var(--primary);
                                        }
                                    }
                                }

                                .focus-pool-input {
                                    position: absolute;
                                    @include flex-center;
                                    flex-direction: column;
                                    left: 7px;
                                    top: 5px;
                                    h4,
                                    input {
                                        color: white;
                                    }
                                    h4 {
                                        margin-bottom: 2px;
                                    }
                                    input {
                                        background: none;
                                        height: 14px;
                                    }
                                }
                            }
                        }
                    }
                }

                &.spell-dc,
                &.focus,
                &.spell-ability {
                    padding: 4px 0;
                    margin-bottom: 4px;
                    margin-top: -4px;
                }

                .spell-ability {
                    margin-top: 2px;
                }
            }

            .inventory-list {
                width: 100%;
                flex-basis: 100%;
                position: relative;
                z-index: 1;
                margin-top: -5px;
                margin-left: 12px;

                .item {
                    @include p-reset;
                    background: none;
                    border: none;
                    border-left: 1px solid var(--sub);
                    border-right: 1px solid var(--sub);
                    cursor: default;

                    &:nth-child(odd) {
                        background-color: rgba($alt-color, 0.1);
                    }

                    &:last-child {
                        border-bottom: 1px solid var(--sub);
                        .item-image {
                            margin-bottom: 0;
                            margin-top: 2px;
                        }
                    }

                    &,
                    &.inventory-header {
                        display: grid;
                        grid:
                            'name school action control' auto
                            'content content content content' auto
                            / 6fr 3fr 2fr 1fr;
                        align-items: center;
                        justify-items: center;
                    }

                    &.inventory-header {
                        background: rgba($sub-color, 0.25);
                        border: 1px solid var(--sub);
                        @include p-reset;
                        padding: 4px;
                        color: var(--body);
                        font-family: $sans-serif;
                        font-size: 8px;
                        font-weight: 700;
                        line-height: 1;
                        text-transform: uppercase;
                        letter-spacing: 0.25px;

                        h3 {
                            text-transform: capitalize;
                            font-size: 12px;
                            margin-left: 0;
                            color: var(--body);
                            &:hover {
                                color: var(--secondary);
                            }
                        }

                        &.spellbook-empty {
                            margin: 8px 0;
                            background: none;
                            border: none;
                            .pf-add-item-row {
                                grid-column: span 4;
                                text-align: center;
                                width: 100%;
                                display: flex;
                                justify-content: space-evenly;

                                a {
                                    background: var(--secondary);
                                    border-radius: 2px;
                                    padding: 4px 8px;
                                    color: white;
                                    font-family: $serif;
                                    font-weight: 500;
                                    &:hover {
                                        text-shadow: 0 0 4px white;
                                    }
                                    .fas {
                                        margin-right: 4px;
                                    }
                                }
                            }
                        }
                    }

                    .item-name {
                        grid-area: name;
                        justify-self: start;
                        display: flex;
                        align-items: center;
                        justify-content: flex-start;
                        flex-wrap: nowrap;
                        line-height: 1.5;

                        .level-prepared-toggle-div {
                            flex: 0;
                            margin-right: 4px;
                            font-size: 12px;
                            color: var(--secondary);
                        }

                        h3 {
                            white-space: nowrap;
                            margin-right: 8px;
                            margin-top: 2px;
                        }
                        + span:not(.flex0) {
                            font-size: 12px;
                        }

                        .spell-slots,
                        .spell-max {
                            padding-top: 3px;
                            font-size: 12px;
                        }

                        .spell-max-input,
                        .spell-slots-input {
                            input {
                                height: 14px;
                                background: var(--alt);
                                color: white;
                                text-align: center;
                                border-radius: 2px;
                                border: 1px solid var(--sub);
                                font-size: 11px;
                                width: 22px;
                            }
                        }

                        h4,
                        img {
                            cursor: pointer;
                        }

                        h4 {
                            margin-left: 8px;
                            line-height: 40px;
                            &:hover {
                                color: var(--secondary);
                            }
                        }

                        .item-image {
                            box-shadow: 0 0 0 1px #e9d7a1, 0 0 0 2px #9f725b, inset 0 0 0 1px #9f725b;
                            height: 40px;
                            width: 40px;
                            margin: 2px 0;
                            border-radius: 0;
                            margin-left: -8px;
                            cursor: pointer;

                            &:hover {
                                background: url("/icons/svg/d20-black.svg") no-repeat center, #F1EEE9;
                                background-size: contain;
                                img {
                                    display: none;
                                }
                            }
                        }
                    }

                    .spell-school,
                    .spell-school-header {
                        grid-area: school;
                    }
                    .spell-action,
                    .spell-action-header {
                        grid-area: action;
                    }
                    .item-controls {
                        grid-area: control;
                        justify-self: end;
                        margin-right: 8px;
                        font-size: 10px;
                    }
                    .item-summary {
                        grid-area: content;
                        padding: 8px;
                        border-bottom: 1px solid var(--sub);
                        border-top: 1px solid lighten($sub-color, 30);

                        p {
                            margin-top: 0;
                        }
                        .item-buttons {
                            button {
                                @include p-reset;
                                font-family: $serif;
                                font-weight: 500;
                                margin-top: 8px;
                                background-color: var(--primary);
                                color: white;
                                border: none;
                                box-shadow: inset 0 0 0 1px rgba(black, 0.5);
                                border-top: 1px solid
                                    lighten($primary-color, 50);
                                border-bottom: 1px solid
                                    darken($primary-color, 40);
                                cursor: pointer;
                                &:hover {
                                    text-shadow: 0 0 2px white;
                                }
                            }
                        }
                    }
                }

                .level-prepared-header {
                    font-size: 12px;
                    color: white;
                    margin: 0;
                    padding: 4px;
                    text-align: center;
                    background: var(--secondary);
                }
            }
        }

        .singleColumn-list {
            @include p-reset;

            .pf-add-item-row {
                grid-column: span 4;
                text-align: center;
                width: 100%;
                display: flex;
                justify-content: space-evenly;

                a {
                    background: var(--secondary);
                    border-radius: 2px;
                    padding: 4px 8px;
                    color: white;
                    font-family: $serif;
                    font-weight: 500;
                    width: 100%;
                    margin-bottom: 12px;
                    &:hover {
                        text-shadow: 0 0 4px white;
                    }
                    .fas {
                        margin-right: 4px;
                    }
                }
            }
        }
    }
}
